Subject: Re: [bug#30894] Submission of patch for Add r-abc

From: Sahithi Yarlagadda <[email-masked]>
Date: Thu, 29 Mar 2018 15:45:19 +0530

Hi Ricardo

I have a small doubt regarding the build. Let me explain the process i
am doing the build.

1) Cloning the Source

2) Running guix environment guix

3) ./bootstrap

4) ./configure --localstatedir=/var

5) make

6) Make Changes to the cran.scm file

7) Build using  ./pre-inst-env guix build <package>

8) If build is success, format the patch and submit the patch

*When i am planning to write a different package description, i am
following this*

9) rebasing the patch

10) Pull for any changes

11) running the process from (2)

Am i doing the right way, I hope i have to compile everytime and then
make changes each Package Description. Because when i tired to just make
changes and build on old one, i got many errors and warning saying the
.go file is older than the .scm.

Please suggest me.

On Thursday 29 March 2018 01:14 AM, Ricardo Wurmus wrote:
> Hi Sahiti,
>
> have you been able to look at my review below?

> Please let me know if anything is unclear.
>
> ~~ Ricardo
>
> Ricardo Wurmus <[email-masked]> writes:
>
>> Hi Sahithi,
>>
>>> I am submitting a patch for r-abc. Please review.
>> Thank you for the patch!
>>
>> What follows is a short review that includes things I could change
>> myself before applying the patch, but for the sake of learning I
>> explicitly point out in this message.  I hope you don’t mind that I’m
>> focusing on what may seem like minor details.
>>
>>> From 4b3b3eee4995616059d8a27489affc43cee26ea4 Mon Sep 17 00:00:00 2001
>>> From: Sahithi Yarlagadda <[email-masked]>
>>> Date: Wed, 21 Mar 2018 16:30:18 +0530
>>> Subject: [PATCH] gnu: Add r-abc.
>>>
>>>     * gnu/packages/cran.scm (r-abc): New variable.
>> Nitpick: please don’t indent this line.  The asterisk should be the
>> first character in this line.
>>
>>> +
>>> +(define-public r-abc
>>> +  (package
>>> +    (name "r-abc")
>>> +    (version "2.1")
>>> +    (source
>>> +      (origin
>>> +        (method url-fetch)
>>> +        (uri (cran-uri "abc" version))
>>> +        (sha256
>>> +          (base32
>>> +            "0ngzaaz2y2s03fhngvwipmy4kq38xrmyddaz6a6l858rxvadrlhb"))))
>>> +    (build-system r-build-system)
>>> +    (propagated-inputs
>>> +      `(("r-abc-data" ,r-abc-data)
>>> +        ("r-locfit" ,r-locfit)
>>> +        ("r-mass" ,r-mass)
>>> +        ("r-nnet" ,r-nnet)
>>> +        ("r-quantreg" ,r-quantreg)))
>>> +    (home-page
>>> +      "http://cran.r-project.org/web/packages/abc")
>> Please pull this onto the previous line and use “https”.
>>
>>> +    (synopsis
>>> +      "Tools for approximate bayesian computation (ABC)")
>> Please combine this line with the previous line.
>>
>>> +    (description
>>> +      "Implements several ABC algorithms for performing parameter estimation,
>>> +model selection, and goodness-of-fit.  Cross-validation tools are also
>>> +available for measuring the accuracy of ABC estimates, and to calculate the
>>> +misclassification probabilities of different models.")
>> Please use full sentences.  For CRAN packages the official description
>> usually provides only a sentence fragment in place of the first
>> sentence.  Please also use “@dfn{Approximate Bayesian Computation}
>> (ABC)” the first time “ABC” is mentioned.
>>
>> All thoughout the indentation is a bit off (that’s expected as the
>> importer is very simple and doesn’t know about the expected
>> indentation).  If you’re using Emacs you can easily adjust it with M-C-q
>> (also known as “indent-sexp”); otherwise please use
>> “etc/indent-code.el”.
>>
>> Have you built this package with Guix?
>>
>> Finally, please rebase this patch so that it can be applied
>> independently from the other patch you’ve sent, which cannot currently
>> be applied due to problems in building the defined package.  Rebasing
>> this patch ensures that it can be merged even if the other patch is
>> stuck.
>>
>> Thanks!
>
>

-- 
Regards
Sahithi